Qt 5.11 | Qt 3D | C++ Classes | GLTFGeometryLoader

Qt 5.11.3 Reference Documentation

# GLTFGeometryLoader Class

(Qt3DRender::GLTFGeometryLoader)

- List of all members, including inherited members

## Public Functions

| GLTFGeometryLoader()
| ~GLTFGeometryLoader()
Qt3DRender::QGeometry * | geometry() const
bool | load(QIODevice *ioDev, const QString &subMesh = QString())

## Protected Functions

void | cleanup()
void | loadBufferData()
void | loadBufferDataV2()
void | parse()
void | parseGLTF1()
void | parseGLTF2()
void | processJSONAccessor(const QString &id, const QJsonObject &json)
void | processJSONAccessorV2(const QJsonObject &json)
void | processJSONBuffer(const QString &id, const QJsonObject &json)
void | processJSONBufferV2(const QJsonObject &json)
void | processJSONBufferView(const QString &id, const QJsonObject &json)
void | processJSONBufferViewV2(const QJsonObject &json)
void | processJSONMesh(const QString &id, const QJsonObject &json)
void | processJSONMeshV2(const QJsonObject &json)
QByteArray | resolveLocalData(const QString &path) const
void | setBasePath(const QString &path)
bool | setJSON(const QJsonDocument &json)
void | unloadBufferData()
void | unloadBufferDataV2()

## Static Protected Members

uint | accessorDataSizeFromJson(const QString &type)
QAttribute::VertexBaseType | accessorTypeFromJSON(int componentType)
QString | standardAttributeNameFromSemantic(const QString &semantic)

## Member Function Documentation

### GLTFGeometryLoader::GLTFGeometryLoader()

Default constructs an instance of GLTFGeometryLoader.

### GLTFGeometryLoader::~GLTFGeometryLoader()

Destroys the instance of GLTFGeometryLoader.

### `[static protected]` uint GLTFGeometryLoader::accessorDataSizeFromJson(const QString &type)

### `[static protected]` QAttribute::VertexBaseType GLTFGeometryLoader::accessorTypeFromJSON(int componentType)

### `[protected]` void GLTFGeometryLoader::cleanup()

### Qt3DRender::QGeometry *GLTFGeometryLoader::geometry() const

### bool GLTFGeometryLoader::load(QIODevice *ioDev, const QString &subMesh = QString())

### `[protected]` void GLTFGeometryLoader::loadBufferData()

### `[protected]` void GLTFGeometryLoader::loadBufferDataV2()

### `[protected]` void GLTFGeometryLoader::parse()

### `[protected]` void GLTFGeometryLoader::parseGLTF1()

### `[protected]` void GLTFGeometryLoader::parseGLTF2()

### `[protected]` void GLTFGeometryLoader::processJSONAccessor(const QString &id, const QJsonObject &json)

### `[protected]` void GLTFGeometryLoader::processJSONAccessorV2(const QJsonObject &json)

### `[protected]` void GLTFGeometryLoader::processJSONBuffer(const QString &id, const QJsonObject &json)

### `[protected]` void GLTFGeometryLoader::processJSONBufferV2(const QJsonObject &json)

### `[protected]` void GLTFGeometryLoader::processJSONBufferView(const QString &id, const QJsonObject &json)

### `[protected]` void GLTFGeometryLoader::processJSONBufferViewV2(const QJsonObject &json)

### `[protected]` void GLTFGeometryLoader::processJSONMesh(const QString &id, const QJsonObject &json)

### `[protected]` void GLTFGeometryLoader::processJSONMeshV2(const QJsonObject &json)

### `[protected]` QByteArray GLTFGeometryLoader::resolveLocalData(const QString &path) const

### `[protected]` void GLTFGeometryLoader::setBasePath(const QString &path)

### `[protected]` bool GLTFGeometryLoader::setJSON(const QJsonDocument &json)

### `[static protected]` QString GLTFGeometryLoader::standardAttributeNameFromSemantic(const QString &semantic)

### `[protected]` void GLTFGeometryLoader::unloadBufferData()

### `[protected]` void GLTFGeometryLoader::unloadBufferDataV2()